// Botão de Promessa
document.getElementById('btnPromessa').addEventListener('click', function() {
    const msg = document.getElementById('mensagem-extra');
    msg.style.display = msg.style.display === 'none' ? 'block' : 'none';
});

// Qualidades Animadas
const qualidades = ["Amor da minha vida", "Mãe incrível", "Minha Rainha", "Meu Tudo"];
let i = 0;
let j = 0;
let currentText = "";
let isDeleting = false;

function type() {
    let fullText = qualidades[i];
    if (isDeleting) {
        currentText = fullText.substring(0, j--);
    } else {
        currentText = fullText.substring(0, j++);
    }

    document.getElementById('qualidades').innerHTML = currentText;

    if (!isDeleting && j === fullText.length + 1) {
        isDeleting = true;
        setTimeout(type, 1500);
    } else if (isDeleting && j === 0) {
        isDeleting = false;
        i = (i + 1) % qualidades.length;
        setTimeout(type, 500);
    } else {
        setTimeout(type, isDeleting ? 50 : 100);
    }
}
type();

// Carrossel
let index = 0;
function moveCarousel(id, step) {
    const track = document.getElementById(id);
    const images = track.getElementsByTagName('img');
    index = (index + step + images.length) % images.length;
    track.style.transform = `translateX(${-index * 100}%)`;
}
